#ifndef QNMAP_H
#define QNMAP_H

#include "qpenmapbase.h"

#include <stdlib.h>
#include <stdlib.h>
#include <stdio.h>

#include <qlistview.h>

class qnmap : public FormQPENmapBase
{ 
    Q_OBJECT

public:
    qnmap( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~qnmap();
	void scan();

private:
    QListViewItem *top_element;
	pthread_t tpid;
	bool scanning;
	void getcmd(char *cmd);
	bool addhost(const char *host);
	void appendOutput(const QString text);

private slots:
	void idlescan(int n);
	void portClicked();
	void decoyClicked();
	void clear();
	void scanClicked();

};
void* runit(void *arg);

#endif // QNMAP_H
